Functions
MWAWPictBitmapInternal Namespace Reference

Internal: namespace used to define some internal function. More...

## Functions
static bool | getPPMData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a PPM for a color bitmap. More...
static void | writeU16 (unsigned char *buffer, unsigned &position, const unsigned value)
static void | writeU32 (unsigned char *buffer, unsigned &position, const unsigned value)
static bool | getBMPData (MWAWPictBitmapContainer< MWAWColor > const &orig, librevenge::RVNGBinaryData &data)
| Internal: helper function to create a BMP for a color bitmap (freely inspired from libpwg::WPGBitmap.cpp) More...

## Detailed Description

Internal: namespace used to define some internal function.

## Function Documentation

## ◆ getBMPData()

static bool MWAWPictBitmapInternal::getBMPData | ( | MWAWPictBitmapContainer< MWAWColor > const & | orig,
|  | librevenge::RVNGBinaryData & | data
| ) |  |
| static

Internal: helper function to create a BMP for a color bitmap (freely inspired from libpwg::WPGBitmap.cpp)

Referenced by MWAWPictBitmapColor::createFileData().

## ◆ getPPMData()

static bool MWAWPictBitmapInternal::getPPMData | ( | MWAWPictBitmapContainer< MWAWColor > const & | orig,
|  | librevenge::RVNGBinaryData & | data
| ) |  |
| static

Internal: helper function to create a PPM for a color bitmap.

Referenced by MWAWPictBitmapColor::createFileData().

## ◆ writeU16()

static void MWAWPictBitmapInternal::writeU16 | ( | unsigned char * | buffer,
|  | unsigned & | position,
|  | const unsigned | value
| ) |  |
| static

Referenced by getBMPData().

## ◆ writeU32()

static void MWAWPictBitmapInternal::writeU32 | ( | unsigned char * | buffer,
|  | unsigned & | position,
|  | const unsigned | value
| ) |  |
| static

Referenced by getBMPData().